Category: Processing/Modeller

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 17437

Description

I have a Model in which I intersect 1 vector with 17 other vectors. Everytime I run it I have to indicate the 17 vectors, even though they are

always the same. It would be useful to be able to program the Modeler to "freeze" some parameter choices (i.e. tell it to fill a Vector layer

with ~/home/shapefile1.shp or to fill it with a layer loaded into a project)

Related issues:

Duplicates QGIS Application - Feature request # 5449: Define files in the mod... Closed 2012-04-22

History

#1 - 2013-09-29 09:29 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

#2 - 2013-10-06 10:55 AM - Pedro Venâncio

This would be an interesting improvement.

In my opinion, it could be solved by placing a "default layer" option (where we could fill in the path to a layer - ideally, absolute or relative paths) in Raster

and Vector input parameters.

This way, it was possible to provide data in conjunction with the models. If users have better data, they could use their own data. Otherwise the model

presented the default data (provided).

Thanks!

#3 - 2014-10-04 12:16 PM - Giovanni Manghi

- Category deleted (64)

- Project changed from 78 to QGIS Application

#4 - 2014-10-04 12:17 PM - Giovanni Manghi

- Category set to Processing/Modeller

#5 - 2017-02-09 11:16 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicates #5449
